Subject: Re: linux-next: Fixes tag needs some work in the clk tree

From: Jerome Brunet <[email-masked]>
Date: Fri, 08 Nov 2024 10:08:56 +0100

On Fri 08 Nov 2024 at 08:09, Stephen Rothwell <[email-masked]> wrote:

> Hi all,
>
> In commit
>
>   5e052ef3c400 ("clk: meson: s4: pll: fix frac maximum value for hifi_pll")
>
> Fixes tag
>
>   Fixes: 80344f4c1a1e ("clk: meson: s4: pll: hifi_pll support fractional multiplier")
>
> has these problem(s):
>
>   - Target SHA1 does not exist
>
> Maybe you meant
>
> Fixes: eb61a1264990 ("clk: meson: s4: pll: hifi_pll support fractional multiplier")

Indeed, I missed this. Thanks for pointing it out Stephen.

Stephen (Boyd), how do you want to handle this ? The commit will need
amending and it's something you've already pulled unfortunately. I'm
happy to redo amlogic clock update tag, if that's easier for you.

Stephen (Rothwell), I suppose (and hope) you are not checking all those
commit tags manually. Is there something available somewhere I should have
added to my routine checks for this type mistake ? A checkpatch.pl flag
I missed maybe ?

-- 
Jerome